Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.launch
Class EPPLaunchCheckResult

    java.lang.Object
      com.verisign.epp.codec.launch.EPPLaunchCheckResult

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPLaunchCheckResult

extends java.lang.Object
implements EPPCodecComponent

The `EPPLaunchCheckResult` represents the claims check result for an individual domain name. If there is a matching trademark for the domain name, then the claims check result is indicated with `exists` set to true; otherwise set to `false`. An OPTIONAL `claimKey` attribute MAY be used to query a third party trademark provider like the Trademark Clearinghouse (TMCH) for getting the information needed to generate the trademark claims notice.

See Also:
  `EPPLaunchChkData`, Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` Constant for the claims check result local name
`static java.lang.String` | `ELM_NAME` Constant for the claims check result tag

Constructor Summary
`EPPLaunchCheckResult()` Default constructor for `EPPLaunchCheckResult`.
`EPPLaunchCheckResult(java.lang.String aName, boolean aExists)` Create a `EPPLaunchCheckResult` with the required attributes of `name` and `exists`.
`EPPLaunchCheckResult(java.lang.String aName, boolean aExists, java.lang.String aClaimKey)` Create a `EPPLaunchCheckResult` with the required attributes of `name` and `exists`, and the optional `claimKey` attribute.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPLaunchCheckResult`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPLaunchCheckResult` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPLaunchCheckResult` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLaunchCheckResult` compare.
`java.lang.String` | `getClaimKey()` Gets the key that MAY be passed to an info service of a third party trademark provider like the Trademark Clearinghouse (TMCH) for getting the information needed to generate the trademark claims notice.
`java.lang.String` | `getName()` Gets the domain name associated with the result.
`boolean` | `isExists()` Gets whether a trademark exist that matches the domain name?
`void` | `setClaimKey(java.lang.String aClaimKey)` Sets the key that MAY be passed to an info service of a third party trademark provider like the Trademark Clearinghouse (TMCH) for getting the information needed to generate the trademark claims notice.
`void` | `setExists(boolean aExists)` Sets whether a trademark exist that matches the domain name?
`void` | `setName(java.lang.String aName)` Sets the domain name associated with the result.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the claims check result local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the claims check result tag

  See Also:
    Constant Field Values

Constructor Detail

### EPPLaunchCheckResult

    public EPPLaunchCheckResult()

  Default constructor for `EPPLaunchCheckResult`.

### EPPLaunchCheckResult

    public EPPLaunchCheckResult(java.lang.String aName,
                                boolean aExists)

  Create a `EPPLaunchCheckResult` with the required attributes of `name` and `exists`.

  Parameters:
    `aName` - Domain name of result
    `aExists` - `true` if there is a matching trademark for the domain name; `false` otherwise.

### EPPLaunchCheckResult

    public EPPLaunchCheckResult(java.lang.String aName,
                                boolean aExists,
                                java.lang.String aClaimKey)

  Create a `EPPLaunchCheckResult` with the required attributes of `name` and `exists`, and the optional `claimKey` attribute.

  Parameters:
    `aName` - Domain name of result
    `aExists` - `true` if there is a matching trademark for the domain name; `false` otherwise.
    `aClaimKey` - Key that MAY be passed to an info service of a third party trademark provider like the Trademark Clearinghouse (TMCH) for getting the information needed to generate the trademark claims notice.

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPLaunchCheckResult` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPLaunchCheckResult` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPLaunchCheckResult` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPLaunchCheckResult` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPLaunchCheckResult` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPLaunchCheckResult` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPLaunchCheckResult` instance to compare with
  Returns:
    true if equal false otherwise

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPLaunchCheckResult`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPLaunchCheckResult`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### getName

    public java.lang.String getName()

  Gets the domain name associated with the result.

  Returns:
    Domain name associated with the result if defined; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the domain name associated with the result.

  Parameters:
    `aName` - Domain Name associated with the result.

### isExists

    public boolean isExists()

  Gets whether a trademark exist that matches the domain name?

  Returns:
    `true` if there is a matching trademark for the domain name; `false` otherwise.

### setExists

    public void setExists(boolean aExists)

  Sets whether a trademark exist that matches the domain name?

  Parameters:
    `aExists` - `true` if there is a matching trademark for the domain name; `false` otherwise.

### getClaimKey

    public java.lang.String getClaimKey()

  Gets the key that MAY be passed to an info service of a third party trademark provider like the Trademark Clearinghouse (TMCH) for getting the information needed to generate the trademark claims notice.

  Returns:
    Claim key if set; `null` otherwise.

### setClaimKey

    public void setClaimKey(java.lang.String aClaimKey)

  Sets the key that MAY be passed to an info service of a third party trademark provider like the Trademark Clearinghouse (TMCH) for getting the information needed to generate the trademark claims notice.

  Parameters:
    `aClaimKey` - Claim key

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.